/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-21 15:27:30 UTC)
 * on 2013-08-28 at 15:36:28 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.drive.model;

/**
 * An ID for a user or group as seen in Permission items.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Drive API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PermissionId extends com.google.api.client.json.GenericJson {

  /**
   * The permission ID.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String id;

  /**
   * This is always drive#permissionId.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * The permission ID.
   * @return value or {@code null} for none
   */
  public java.lang.String getId() {
    return id;
  }

  /**
   * The permission ID.
   * @param id id or {@code null} for none
   */
  public PermissionId setId(java.lang.String id) {
    this.id = id;
    return this;
  }

  /**
   * This is always drive#permissionId.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * This is always drive#permissionId.
   * @param kind kind or {@code null} for none
   */
  public PermissionId setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  @Override
  public PermissionId set(String fieldName, Object value) {
    return (PermissionId) super.set(fieldName, value);
  }

  @Override
  public PermissionId clone() {
    return (PermissionId) super.clone();
  }

}
